> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/traffic/bandwidth-cluster/createbandwidthcluster.md).

# CreateBandwidthCluster

## 1. API Description

This API (CreateBandwidthCluster) is used to create a bandwidth cluster.

{% hint style="info" %} <mark style="color:blue;">**Note**</mark>

<mark style="color:blue;">If you don't have bandwidth cluster permissions, please contact us to obtain access.</mark>
{% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name                   | Required | Type                                                                             | Description                                                                                                                                                                                                                                  |
| -------------------------------- | -------- | -------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| areaCode                         | Yes      | String                                                                           | <p>Location of the bandwidth cluster.</p><p>To obtain code, you can call DescribeBandwidthClusterAreas, and find areaCode in the response.</p>                                                                                               |
| internetChargeType               | Yes      | [InternetChargeType](/api-reference/traffic/datastructure.md#internetchargetype) | <p>Network billing method.</p><p>The default billing method is Monthly Burstable 95th, if you need Daily Peak billing, please contact us.</p><p>Default value: MonthlyPercent95Bandwidth.</p><p>Default value: MonthlyPercent95Bandwidth</p> |
| commitBandwidthMbps              | No       | Integer                                                                          | <p>Bandwidth commitment.</p><p>Unit: Mbps.</p><p>Available value range: \[0, 100000].</p><p>Default value: 0.</p><p>Value range: \[0, 99999999]</p><p>Default value: 0</p>                                                                   |
| internationalCommitBandwidthMbps | No       | Integer                                                                          | <p>Bandwidth commitment for the international line.</p><p>Unit: Mbps.</p><p>Only applicable to PathBasedBandwidth bandwidth clusters.</p><p>Value range: \[0, 99999999]</p><p>Default value: 0</p>                                           |
| networkLineType                  | No       | [NetworkLineType](/api-reference/traffic/datastructure.md#networklinetype)       | <p>IP network type.</p><p>This field is required for city bandwidth cluster.</p>                                                                                                                                                             |
| networkType \[Deprecated]        | No       | [NetworkType](/api-reference/traffic/datastructure.md#networktype)               | <p>IP network type.</p><p>The value is required for the bandwidth cluster by city.</p>                                                                                                                                                       |
| name                             | No       | String                                                                           | <p>Bandwidth cluster name.</p><p>If not specified, the default name will be based on the location name.</p>                                                                                                                                  |
| product                          | No       | [ProductRange](/api-reference/traffic/datastructure.md#productrange)             | Service type covered by the bandwidth cluster.                                                                                                                                                                                               |
| resourceGroupId                  | No       | String                                                                           | <p>Resource group ID where the instances reside.</p><p>If the value is empty, the instance will be added into the default resource group.</p>                                                                                                |
| tags                             | No       | [TagAssociation](/api-reference/traffic/datastructure.md#tagassociation)         | The tags associated with the shared bandwidth package at the time of creation.                                                                                                                                                               |

## 3. Output Parameters

| Parameter Name     | Type   | Description                                                                                                           |
| ------------------ | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId          | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| orderNumber        | String | Order number.                                                                                                         |
| bandwidthClusterId | String | Bandwidth cluster ID.                                                                                                 |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Create a bandwidth cluster with the China Mobile network in Shanghai (SHA), whose bandwidth commitment is `1 Gbps`.**

```json
POST /api/v2/traffic HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: CreateBandwidthCluster
<Common Request Params>

Request:
  {
    "areaCode" : "SHA",
    "chargeType" : "POSTPAID",
    "commitBandwidthMbps" : 1000,
    "networkType" : "CMI",
    "internetChargeType" : "MonthlyPercent95Bandwidth",
    "name" : "sample"
  }

Response:
  {
    "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
    "response": {
      "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
      "orderNumber": "123232",
      "bandwidthClusterId": "<system-generate-bandwidth-cluster-id>"
    }
  }
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                | Description                      |
| ---------------- | ------------------------- | -------------------------------- |
| 404              | INVALID\_CITY\_NOT\_FOUND | The specified city is not found. |
